Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class EmacsRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.EmacsRenderer

All Implemented Interfaces:
  Renderer

public class EmacsRenderer
extends AbstractRenderer
implements Renderer

Field Summary
`protected java.lang.String` | `EOL`

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`EmacsRenderer()`

Method Summary
`java.lang.String` | `render(Report report)`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.renderers.Renderer
`showSuppressedViolations`

Field Detail

### EOL

    protected java.lang.String EOL

Constructor Detail

### EmacsRenderer

    public EmacsRenderer()

Method Detail

### render

    public java.lang.String render(Report report)

  Specified by:
    `render` in interface `Renderer`
  Specified by:
    `render` in class `AbstractRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.